Skip to content

Update an existing user.

PATCH
/api/v2/user

Take note to send only valid website locales. See the list of supported locales in the model V1\System\WebsiteLocale below.

object
emailCode

Verification code, used to verify the e-mail address.

string
Example
152367
email
required

Email address of the user.

string
Example
chamberOfCommerce

Chamber of Commerce number.

string
Example
152367
businessName

Name of the business.

string
Example
BTC Direct
businessCountry

ISO 3166-1 alpha-2 country code of the country where the business is registered.

string
Example
GB
amld5QuestionAnswers

The user’s anwers to the AMLD5 questions.

Array<string>
Example
{
"kyc-amld5-annual-net-income": "From 10.000 to 30.000",
"kyc-amld5-employment-status": "Employed",
"kyc-amld5-main-source-income": "Salary",
"kyc-amld5-why-account-created": "Investing",
"kyc-amld5-which-industry": "Cryptocurrency, (Online) gambling & casino",
"kyc-amld5-annual-net-profit": "Above 250.000"
}
phoneNumber

Phone number of the user, in the format +countrycodenumber (no dashes, spaces or other special characters).

string
Example
+31612345678
dateOfBirth

Date of birth of the user, in the ISO 8601 format (YYYY-MM-DD).

string
Example
1984-12-27
firstName

First name of the user.

string
Example
John
lastName

Last name of the user.

string
Example
Doe
country
required

ISO 3166-1 alpha-2 country code of the user.

string
Example
DE
address

Streetname of the users address.

string
Example
Street
addressNo

Housenumber of the users address.

string
Example
12a
postalCode

Postalcode of the users address.

string
Example
1234AB
city

City of the users address.

string
Example
Amsterdam
websiteCountry

ISO 3166-1 alpha-2 country code of the user.

string
Example
NL
websiteLanguage

ISO 3166-1 alpha-2 language code of the user.

string
Example
NL
isBusiness

Determines whether a user is a business user or not.

boolean
privacyAgreement

Determines whether a user has agreed to the privacy agreement.

boolean
identityDocument

Identity document of the user.

Array<object>
object
document_type
string
document_side
string
uploaded_file
object
test
boolean
original_name
string
mime_type
string
error
integer
Example
[
{
"documentType": "IdentityCard",
"documentSide": "Front",
"data": "iVBORw0KGgoAAAANSUhEUgAAAQAAAAEACAYAAABccqhmAAAVP3pUWHRSYXcgcHJvZmlsZSB0eXBlIGV4aWYAAHjavZpnchw5EoX/4xR7BLiEOQ5sxN5gj7/fq27Ka1bSTKw4wyabxSogzTMJuvOff1/3L/6Zxeyy1VZ6KZ5/ueceB180//r3eg0+P58//oX356/ed5++jLwmXtPrB+W8f2vwvn3+hZrf78+v33d1vb6I7X2jjye/b5j05MgX7+va+0Ypvt4P7+9df//eyF9s5+P/k57b2fum336fK8HYxv1SdPGkkDyfo56SWEFqafBa+BwSb/PZ+DryOlJK+cexcz8L3s9i58f7/fR1KJwv7wvKNzF6vx/sx7F7IvTlisLnJ3/1g7o/wvh97O7d7d7z2t3IhUgV997Ux1aer7hwEsr0/Frho/K/8XV9PjofjS0uHrXJ5uRjudBDJNo35LDDCDec53WFxRJzPLHyGuMi1nqvpRp7XE9Ssj7CjTX1tB05immRNfKR4qe1hOe5/XneCo0n78CVMXCzwG989+F+9OaffHy60b0q3RB8+xQr1hVV0yxDmdNnriIF4b5jak98nw/3Rd34LxKbyKA9YW5scPj5usW08Lm20pPnxHXms/O"
}
]
newsletterSubscription

Determines whether a user will be subscribed to the BTC Direct newsletter.

boolean

User information updated successfully.

object
email

Email address of the user.

string
Example
firstName

First name of the user.

string
Example
John
lastName

Last name of the user.

string
Example
Doe
phoneNumber

Phone number of the user.

string
country

Country or preferred language.

string
Example
NL
isBusiness

Determines if this account is a business account or not.

boolean
registrationDate

Registration date of the user.

string
Example
2019-01-01T14:13:55Z
activationDate

The date and time the user account was activated.

string
Example
2019-01-02T12:43:25Z

A list of possible errors for this endpoint.

object
code
required
string
Allowed values: ER001 ER003 ER053 ER059 ER061 ER062 ER063 ER064 ER081 ER083 ER085 ER090 ER102 ER121 ER122 ER123 ER125 ER126 ER127 ER181 ER182 ER183 ER184 ER700 ER701 ER702 ER703 ER704 ER705 ER706 ER707 ER708 ER709 ER800 ER801 ER802 ER803 ER805 ER806 ER999
message
required
string
solution
required
string
Example
{
"errors": {
"ER001": {
"code": "ER001",
"message": "Email address is invalid.",
"solution": "Provide a valid email address."
},
"ER003": {
"code": "ER003",
"message": "No email address provided.",
"solution": "Provide a valid email address."
},
"ER053": {
"code": "ER053",
"message": "Missing identifier.",
"solution": "Provide a valid identifier."
},
"ER059": {
"code": "ER059",
"message": "Invalid phone number provided.",
"solution": "Provide a valid phone number."
},
"ER061": {
"code": "ER061",
"message": "Invalid ISO 3166-1 alpha-2 country code provided.",
"solution": "Provide a valid ISO 3166-1 alpha-2 country code."
},
"ER062": {
"code": "ER062",
"message": "No country code provided.",
"solution": "Provide a valid country code."
},
"ER063": {
"code": "ER063",
"message": "Invalid country code provided.",
"solution": "Provide a valid country code."
},
"ER064": {
"code": "ER064",
"message": "Invalid business country code provided.",
"solution": "Provide a valid business country code."
},
"ER081": {
"code": "ER081",
"message": "Invalid website language provided.",
"solution": "Provide a valid website language."
},
"ER083": {
"code": "ER083",
"message": "Invalid website country provided.",
"solution": "Provide a valid website country."
},
"ER085": {
"code": "ER085",
"message": "User is not 18 years old yet.",
"solution": "Users need to be 18 years or older to be able to register via the API."
},
"ER090": {
"code": "ER090",
"message": "Invalid email verification code.",
"solution": "Provide a valid email verification code."
},
"ER102": {
"code": "ER102",
"message": "User identifier length out of bounds.",
"solution": "Provide a user identifier with a minimum of 36 characters and a maximum of 255."
},
"ER121": {
"code": "ER121",
"message": "Invalid Chamber of Commerce number provided.",
"solution": "Provide a valid, Chamber of Commerce number."
},
"ER122": {
"code": "ER122",
"message": "Invalid password length",
"solution": "Your password should be at least 8 characters in length."
},
"ER123": {
"code": "ER123",
"message": "Invalid password length",
"solution": "Your password can't have more than 64 characters."
},
"ER125": {
"code": "ER125",
"message": "Invalid business name.",
"solution": "Remove any emoji, < or > characters from the business name."
},
"ER126": {
"code": "ER126",
"message": "Invalid first name.",
"solution": "Remove any emoji, < or > characters from the first name."
},
"ER127": {
"code": "ER127",
"message": "Invalid last name.",
"solution": "Remove any emoji, < or > characters from the last name."
},
"ER181": {
"code": "ER181",
"message": "Invalid residential address provided.",
"solution": "Provide a valid residential address."
},
"ER182": {
"code": "ER182",
"message": "Invalid residential address number provided.",
"solution": "Provide a valid residential address number."
},
"ER183": {
"code": "ER183",
"message": "Invalid residential city provided.",
"solution": "Provide a valid residential city."
},
"ER184": {
"code": "ER184",
"message": "Invalid residential postcal code provided.",
"solution": "Provide a valid residential postcal code."
},
"ER700": {
"code": "ER700",
"message": "User authorization token not found.",
"solution": "Provide a user authorization token."
},
"ER701": {
"code": "ER701",
"message": "User authorization token has expired.",
"solution": "Request a new authorization token, or refresh the token."
},
"ER702": {
"code": "ER702",
"message": "User authorization token is invalid.",
"solution": "Provide a valid user authorization token."
},
"ER703": {
"code": "ER703",
"message": "User identifier does not belong to the user in the user authorization token.",
"solution": "Provide a valid user identifier, or remove the user identifier header."
},
"ER704": {
"code": "ER704",
"message": "No user identifier found in headers.",
"solution": "Provide a valid user identifier, or use the user/password authentication mechanism to request a user token and send that."
},
"ER705": {
"code": "ER705",
"message": "User identifier is not linked to a user.",
"solution": "Provide a valid user identifier, link this user identifier to a user account, or use the user/password authentication mechanism."
},
"ER706": {
"code": "ER706",
"message": "User identifier is invalid.",
"solution": "Provide a valid user identifier, a unique identifier string for the user account that is not already in use."
},
"ER707": {
"code": "ER707",
"message": "User identifier is invalid.",
"solution": "Please provide an identifier, consisting of 36 - 255 characters, numeric or alphanumeric only."
},
"ER708": {
"code": "ER708",
"message": "There is a pending document for this side.",
"solution": "Wait for the pending document to be reviewed."
},
"ER709": {
"code": "ER709",
"message": "User not found, or user has been deleted.",
"solution": "Provide a valid user identifier."
},
"ER800": {
"code": "ER800",
"message": "Authorization token is invalid.",
"solution": "Provide a valid authorization token."
},
"ER801": {
"code": "ER801",
"message": "Authorization token has expired.",
"solution": "Request a new authorization token."
},
"ER802": {
"code": "ER802",
"message": "Authorization token not found.",
"solution": "Provide an authorization token."
},
"ER803": {
"code": "ER803",
"message": "Multiple authorization methods used.",
"solution": "Use exactly one authorization method."
},
"ER805": {
"code": "ER805",
"message": "API key is invalid.",
"solution": "Provide a valid API key."
},
"ER806": {
"code": "ER806",
"message": "API key not found.",
"solution": "Provide an API key."
},
"ER999": {
"code": "ER999",
"message": "A general error has occurred. Please contact our support team.",
"solution": "Contact our support team."
}
}
}